stl_pair.h File Reference

Go to the source code of this file.

## Classes

struct | std::pair< _T1, _T2 >
struct | std::piecewise_construct_t

## Namespaces

namespace | std

## Functions

template<typename _T1, typename _T2>
constexpr pair< typename __decay_and_strip< _T1 >::__type, typename __decay_and_strip< _T2 >::__type > | std::make_pair (_T1 &&__x, _T2 &&__y)

## Variables

constexpr piecewise_construct_t | std::piecewise_construct

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file stl_pair.h.